﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
    Inherits="ipad_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Default</title>
    <style type="text/css">
        html .RadMenu {
            font-size: 24px;
        }

        .rmRootLink {
            text-align: center;
        }

        .RadMenu .rmRootGroup .rmItem.rmLast {
            border-width: 0;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="scritManager" runat="server"></telerik:RadScriptManager>
        <div class="wrap">
            <telerik:RadMenu ID="RadMenu1" runat="server" RenderMode="Lightweight">
                <Items>
                    <telerik:RadMenuItem Text="Quote">
                        <Items>
                            <telerik:RadMenuItem Text="Word Document" Enabled="false" />
                            <telerik:RadMenuItem Text="Navigate" NavigateUrl="MobileMenu.aspx" />
                            <telerik:RadMenuItem Text="Word Document" />
                            <telerik:RadMenuItem Text="Word Template" />
                            <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                            <telerik:RadMenuItem Text="Adobe PDF" />
                            <telerik:RadMenuItem Text="Other formats" Enabled="true" />
                            <telerik:RadMenuItem Text="Word Document" Enabled="false" />
                            <telerik:RadMenuItem Text="Word Template" />
                            <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                            <telerik:RadMenuItem Text="Adobe PDF" />
                            <telerik:RadMenuItem Text="Other formats" />
                        </Items>
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Text="Separator" IsSeparator="true" />
                    <telerik:RadMenuItem Text="Purchase order">
                        <Items>
                            <telerik:RadMenuItem Text="Word Document" Enabled="false" />
                            <telerik:RadMenuItem Text="Navigate" NavigateUrl="MobileMenu.aspx" />
                            <telerik:RadMenuItem Text="Word Document" />
                            <telerik:RadMenuItem Text="Word Template" />
                            <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                            <telerik:RadMenuItem Text="Adobe PDF" />
                            <telerik:RadMenuItem Text="Other formats" Enabled="true" />
                            <telerik:RadMenuItem Text="Word Document" Enabled="false" />
                            <telerik:RadMenuItem Text="Word Template" />
                            <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                            <telerik:RadMenuItem Text="Adobe PDF" />
                            <telerik:RadMenuItem Text="Other formats" />
                        </Items>
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Text="Ready for delivery">
                        <Items>
                            <telerik:RadMenuItem Text="Save As" NavigateUrl="Default.aspx">
                                <Items>
                                    <telerik:RadMenuItem Text="Word Document" />
                                    <telerik:RadMenuItem Text="Word Template" />
                                    <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                                    <telerik:RadMenuItem Text="Adobe PDF" />
                                    <telerik:RadMenuItem Text="Other formats" />
                                </Items>
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem Text="Word Document" />
                            <telerik:RadMenuItem Text="Word Template" />
                            <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                            <telerik:RadMenuItem Text="Adobe PDF" />
                            <telerik:RadMenuItem Text="Other formats" />
                            <telerik:RadMenuItem Text="Word Document" />
                            <telerik:RadMenuItem Text="Word Template" />
                            <telerik:RadMenuItem Text="Word 97 - 2003 Document" />
                            <telerik:RadMenuItem Text="Adobe PDF" />
                            <telerik:RadMenuItem Text="Other formats" />
                        </Items>
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem Text="Separator" IsSeparator="true" />
                    <telerik:RadMenuItem Text="Delivered quantity" />
                </Items>
            </telerik:RadMenu>
        </div>
    </form>
    <script type="text/javascript">
        var $ = $telerik.$;

        function pageLoad() {
            var rootGroupWidth = $(".rmRootGroup").width(),
                items = $(".rmRootGroup").find(".rmRootLink").not(".rmSeparator");

            var itemWidth = 99 / items.length;

            // set the calculated width for each item
            items.each(function () {

                $(this).parent().css("width", itemWidth + "%");
            })
        }
    </script>
</body>
</html>
